package com.prolog.upcloud.base.wh.operate.mq;

import com.rabbitmq.client.Channel;
import org.springframework.amqp.core.Message;

public interface MqConsumer {

    void inBoundRequest(Message message, Channel channel);

    void containerTailgatingRequest(Message message, Channel channel);

    void outBoundRequest(Message message, Channel channel);

    void upgradePriority(Message message, Channel channel);

    void cancelTasks(Message message, Channel channel);

    void operationComplete(Message message, Channel channel);

    void saveLog(Message message, Channel channel);

    void inventoryLock(Message message, Channel channel);

    void inventoryAudit(Message message, Channel channel);
    void tmsShipBill(Message message, Channel channel);
    void tmsShipBillPackage(Message message, Channel channel);
}
